Probleme avec libEGL [réglé]

#1

bonjour à tous,
je vous contact au sujet d'un probleme avec ma manjaro deppin.

Au lancement Kodi ou Retroarch le terminal me renvoi ce message:

$ kodi
libEGL warning: DRI2: failed to open r600 (search paths /usr/lib/dri)
libEGL warning: DRI2: failed to open swrast (search paths /usr/lib/dri)
libEGL warning: DRI2: failed to open swrast (search paths /usr/lib/dri)
/usr/bin/kodi : ligne 219 : 6789 Erreur de segmentation (core dumped)${KODI_BINARY} $SAVED_ARGS
Crash report available at /home/salon/kodi_crashlog-20190417_134902.log

$ retroarch
libEGL warning: DRI2: failed to open r600 (search paths /usr/lib/dri)
libEGL warning: DRI2: failed to open swrast (search paths /usr/lib/dri)
libEGL warning: DRI2: failed to open swrast (search paths /usr/lib/dri)
gbm: failed to open any driver (search paths /usr/lib/dri)
gbm: Last dlopen error: libLLVM-7.so: cannot open shared object file: No such file or directory
failed to load driver: r600
gbm: failed to open any driver (search paths /usr/lib/dri)
gbm: Last dlopen error: libLLVM-7.so: cannot open shared object file: No such file or directory
failed to load driver: kms_swrast
gbm: failed to open any driver (search paths /usr/lib/dri)
gbm: Last dlopen error: libLLVM-7.so: cannot open shared object file: No such file or directory
failed to load swrast driver

j'aimerais savoir d’où vien le problème

0 Likes

#2

Terminal:
sudo pacman-mirrors -f5 && sudo pacman -Syyuu

sudo pacman -S llvm7-libs

0 Likes

#3

que dois-je faire avec ses commande?

0 Likes

#4

lancez-les depuis le terminal :slight_smile:

0 Likes

#5

j'aimerais connaitre l'action de ses command

0 Likes

#6

All the references you need (sorry is only in english)
https://wiki.manjaro.org/index.php/Rankmirrors_to_Set_the_Fastest_Download_Server

https://wiki.manjaro.org/index.php?title=Pacman-mirrors

https://wiki.manjaro.org/index.php?title=Pacman_Tips

1 Like

#7

bonjour et bienvenue tanguy

Ces 2 commandes sont la base pour notre rolling, la première va choisir le meilleur miroir et la seconde force une mise à jour
ps: si tu as un doute sur une commande console, tu peux lui passer uniquement en option --help

1 Like

#8

merci pour les conseils

j'ai collé la premiere command et voila le resulta

:: Début de la mise à jour complète du système…
avertissement : lib32-mesa : retourne à la version antérieure (19.0.1+really+18.3.5-1 => 19.0.1-1)
avertissement : mesa : retourne à la version antérieure (19.0.1+really+18.3.5-1 => 19.0.1-2)
résolution des dépendances…
recherche des conflits entre paquets…

Paquets (2) lib32-mesa-19.0.1-1 mesa-19.0.1-2

Taille totale du téléchargement : 25,05 MiB
Taille totale installée : 94,71 MiB
Taille de mise à jour nette : 1,59 MiB

0 Likes

#9

Mon problème est réglé avec la commande :
sudo pacman-mirrors -f5 && sudo pacman -Syyuu

Merci Thank
@bogdancovaciu
@papajoke

0 Likes